commit 1539dc8b8239e465008d677821e2e74c7a0692b2
Author: freddy77 <freddy77>
Date:   Mon Apr 20 08:56:17 2009 +0000

    fix dblib timeout test

diff --git a/ChangeLog b/ChangeLog
index 629cef5..9188644 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Apr 20 10:55:17 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: fix timeout test
+
 Sat Apr 18 15:18:39 EDT 2009	JK Lowden <jklowden@freetds.org>
 	* include/sybdb.h include/tds.h
 	* src/apps/bsqldb.c src/apps/tsql.c
@@ -1491,4 +1494,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2772 2009/04/18 19:35:38 jklowden Exp $
+$Id: ChangeLog,v 1.2773 2009/04/20 08:56:17 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 4561669..eece52d 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.347 2009/04/18 19:35:38 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.348 2009/04/20 08:56:18 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -4547,8 +4547,6 @@ RETCODE
 dbsqlok(DBPROCESS * dbproc)
 {
 	TDSSOCKET *tds;
-
-	unsigned char marker;
 	int done = 0, done_flags;
 	TDS_INT result_type;
 
@@ -4572,14 +4570,6 @@ dbsqlok(DBPROCESS * dbproc)
 	 * We're looking for a result token or a done token.
          */
 	while (!done) {
-		marker = tds_peek(tds);
-
-		/* If we hit a result token, then we know everything is OK.  */
-		if (is_result_token(marker)) {
-			tdsdump_log(TDS_DBG_FUNC, "dbsqlok() exits on result token 0x%x\n", marker);
-			return SUCCEED;
-		}
-
 		/* 
 		 * If we hit an end token -- e.g. if the command
 		 * submitted returned no data (like an insert) -- then
@@ -4591,6 +4581,7 @@ dbsqlok(DBPROCESS * dbproc)
 			return SUCCEED;
 			break;
 
+		case TDS_CANCELLED:
 		case TDS_FAIL:
 			return FAIL;
 			break;

